CC = gcc -O2 -Wall

BIN = unittest
SRC = ../MyTotal/MyTotal.c ../MyTotalWidget/MyTotalWidget.c ../MyCounter/MyCounter.c MyTouchscreen.c unittest.c
OBJ = ../MyTotal/MyTotal.o ../MyTotalWidget/MyTotalWidget.o ../MyCounter/MyCounter.o MyTouchscreen.o unittest.o

CFLAGS := `pkg-config --cflags gtk+-2.0` -I. -I../MyTotal -I../MyCounter -I../MyTotalWidget

LIBS := -Wl,--export-dynamic \
		`pkg-config --libs gtk+-2.0` 

all: $(BIN)

$(BIN): $(OBJ)
	$(CC) -o $(BIN) $(OBJ) $(LIBS)

.c.o:
	$(CC) -c $(CFLAGS) -o $@ $<

clean: 
	rm -f $(BIN) $(OBJ)

